Origin: https://github.com/python/cpython/commit/0d67ed54f7337d6209fd7c319c37f7ffe1775972
Reviewed-by: Sylvain Beucler <beuc@debian.org>
Last-Update: 2024-02-29

Backport note: drop -Werror=declaration-after-statement since new
upstream patches don't have to respect this since v3.6, and cause
issues e.g. CVE-2021-3177.

From 0d67ed54f7337d6209fd7c319c37f7ffe1775972 Mon Sep 17 00:00:00 2001
From: Benjamin Peterson <benjamin@python.org> Date: Wed, 7 Sep 2016
11:43:22 -0700 Subject: [PATCH] permit intermingled declarations

---
 configure    | 43 -------------------------------------------
 configure.ac | 22 ----------------------
 2 files changed, 65 deletions(-)

Index: python3.4-3.4.2/configure.ac
===================================================================
--- python3.4-3.4.2.orig/configure.ac
+++ python3.4-3.4.2/configure.ac
@@ -1207,28 +1207,6 @@ yes)
       BASECFLAGS="$BASECFLAGS -Wno-unused-result"
     fi
 
-    AC_MSG_CHECKING(for -Werror=declaration-after-statement)
-     ac_save_cc="$CC"
-     CC="$CC -Werror=declaration-after-statement"
-     save_CFLAGS="$CFLAGS"
-     AC_CACHE_VAL(ac_cv_declaration_after_statement_warning,
-       AC_COMPILE_IFELSE(
-         [
-	   AC_LANG_PROGRAM([[]], [[]])
-	 ],[
-           ac_cv_declaration_after_statement_warning=yes
-	 ],[
-           ac_cv_declaration_after_statement_warning=no
-	 ]))
-     CFLAGS="$save_CFLAGS"
-     CC="$ac_save_cc"
-    AC_MSG_RESULT($ac_cv_declaration_after_statement_warning)
-
-    if test $ac_cv_declaration_after_statement_warning = yes
-    then
-      CFLAGS_NODIST="$CFLAGS_NODIST -Werror=declaration-after-statement"
-    fi
-
     # if using gcc on alpha, use -mieee to get (near) full IEEE 754
     # support.  Without this, treatment of subnormals doesn't follow
     # the standard.
